[Overview][Constants][Types][Classes][Index] | Reference for unit 'IBConnection' (#fcl)

# TIBConnection.Dialect

Database dialect

## Declaration

Source position: ibconnection.pp line 135

`published property TIBConnection.Dialect : Integer read GetDialect write FDialect stored IsDialectStored default DEFDIALECT;`

## Description

Firebird/Interbase servers since Interbase 6 have a dialect setting for backwards compatibility. It can be 1, 2 or 3, the default is 3.

Note: the dialect for new Interbase/Firebird databases is 3; dialects 1 and 2 are only used in legacy environments. In practice, you can ignore this setting for newly created databases.